Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling
Interface TriggerContext

All Known Implementing Classes:
  SimpleTriggerContext

    public interface TriggerContext

Context object encapsulating last execution times and last completion time of a given task.

Since:
  3.0
Author:
  Juergen Hoeller

Method Summary
`Date` | `lastActualExecutionTime()` Return the last actual execution time of the task, or `null` if not scheduled before.
`Date` | `lastCompletionTime()` Return the last completion time of the task, or `null` if not scheduled before.
`Date` | `lastScheduledExecutionTime()` Return the last scheduled execution time of the task, or `null` if not scheduled before.

Method Detail

### lastScheduledExecutionTime

    Date lastScheduledExecutionTime()

  Return the last scheduled execution time of the task, or `null` if not scheduled before.

### lastActualExecutionTime

    Date lastActualExecutionTime()

  Return the last actual execution time of the task, or `null` if not scheduled before.

### lastCompletionTime

    Date lastCompletionTime()

  Return the last completion time of the task, or `null` if not scheduled before.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD